Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.constraint
Class BasicMethodConstraints.MethodDesc

    java.lang.Object
      net.jini.constraint.BasicMethodConstraints.MethodDesc

All Implemented Interfaces:
  Serializable

Enclosing class:
  BasicMethodConstraints

public static final class BasicMethodConstraints.MethodDesc
extends Object
implements Serializable

Descriptor for specifying the constraints associated with one or more methods allowing limited wildcard matching on method names and parameter types. Methods can be specified by exact name and parameter types (matching a single method), by exact name (matching all methods with that name), by name prefix (matching all methods with names that start with that prefix), by name suffix (matching all methods with names that end with that suffix), and by a default that matches all methods.

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`BasicMethodConstraints.MethodDesc(InvocationConstraints constraints)` Creates a default descriptor that matches all methods.
`BasicMethodConstraints.MethodDesc(String name, Class[] types, InvocationConstraints constraints)` Creates a descriptor that only matches methods with exactly the specified name and parameter types.
`BasicMethodConstraints.MethodDesc(String name, InvocationConstraints constraints)` Creates a descriptor that matches all methods with names that equal the specified name or that match the specified pattern, regardless of their parameter types.

Method Summary
`boolean` | `equals(Object obj)` Two instances of this class are equal if they have the same name, the same parameter types, and the same constraints.
`InvocationConstraints` | `getConstraints()` Returns the constraints as a non-`null` value.
`String` | `getName()` Returns the name of the method, with a prefix or suffix '*' if the name is a pattern, or `null` if this descriptor matches all methods.
`Class[]` | `getParameterTypes()` Returns the parameter types, or `null` if this descriptor matches all parameter types or all methods.
`int` | `hashCode()` Returns a hash code value for this object.
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicMethodConstraints.MethodDesc

    public BasicMethodConstraints.MethodDesc(String name,
                                             Class[] types,
                                             InvocationConstraints constraints)

  Creates a descriptor that only matches methods with exactly the specified name and parameter types. The constraints can be `null`, which is treated the same as an empty instance. The array passed to the constructor is neither modified nor retained; subsequent changes to that array have no effect on the instance created.

Parameters:
  `name` - the name of the method
  `types` - the formal parameter types of the method, in declared order
  `constraints` - the constraints, or `null`
Throws:
  `NullPointerException` - if `name` or `types` is `null` or any element of `types` is `null`
  `IllegalArgumentException` - if `name` is not a syntactically valid method name

### BasicMethodConstraints.MethodDesc

    public BasicMethodConstraints.MethodDesc(String name,
                                             InvocationConstraints constraints)

  Creates a descriptor that matches all methods with names that equal the specified name or that match the specified pattern, regardless of their parameter types. If the specified name starts with the character '*', then this descriptor matches all methods with names that end with the rest of the specified name. If the specified name ends with the character '*', then this descriptor matches all methods with names that start with the rest of the specified name. Otherwise, this descriptor matches all methods with names that equal the specified name. The constraints can be `null`, which is treated the same as an empty instance.

Parameters:
  `name` - the name of the method, with a prefix or suffix '*' permitted for pattern matching
  `constraints` - the constraints, or `null`
Throws:
  `NullPointerException` - if `name` is `null`
  `IllegalArgumentException` - if `name` is not a syntactically valid method name and is not a syntactically valid method name with a '*' appended and cannot be constructed from some syntactically valid method name containing more than two characters by replacing the first character of that name with '*'

### BasicMethodConstraints.MethodDesc

    public BasicMethodConstraints.MethodDesc(InvocationConstraints constraints)

  Creates a default descriptor that matches all methods. The constraints can be `null`, which is treated the same as an empty instance.

Parameters:
  `constraints` - the constraints, or `null`

Method Detail

### getName

    public String getName()

  Returns the name of the method, with a prefix or suffix '*' if the name is a pattern, or `null` if this descriptor matches all methods.

  Returns:
    the name of the method, with a prefix or suffix '*' if the name is a pattern, or `null` if this descriptor matches all methods

### getParameterTypes

    public Class[] getParameterTypes()

  Returns the parameter types, or `null` if this descriptor matches all parameter types or all methods. Returns a new non-`null` array every time it is called.

  Returns:
    the parameter types, or `null` if this descriptor matches all parameter types or all methods

### getConstraints

    public InvocationConstraints getConstraints()

  Returns the constraints as a non-`null` value.

  Returns:
    the constraints as a non-`null` value

### hashCode

    public int hashCode()

  Returns a hash code value for this object.

### equals

    public boolean equals(Object obj)

  Two instances of this class are equal if they have the same name, the same parameter types, and the same constraints.

### toString

    public String toString()

  Returns a string representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved